image: archlinux:latest

before_script:
    - pacman -Syu --noconfirm
    - pacman -S --noconfirm pkgconf gcc cmake extra-cmake-modules make git qt5-base meson ninja qt5-svg libevdev qtermwidget qt5-wayland wayland wayland-protocols libdbusmenu-qt5 qt5-tools pam polkit polkit-qt5 libxml2 libinput

build_amd64:
    stage: build
    script:
      - git clone https://gitlab.com/desktop-frameworks/wayqt
      - cd wayqt;
      - meson .build --prefix=/usr --buildtype=release
      - ninja -C .build -j 4 -k 0 && ninja -C .build install
      - cd ../
      - git clone https://gitlab.com/desktop-frameworks/utils
      - cd utils;
      - meson .build --prefix=/usr --buildtype=release
      - ninja -C .build -j $(nproc) -k 0 && ninja -C .build install
      - cd ../
      - git clone https://gitlab.com/desktop-frameworks/settings
      - cd settings
      - meson .build --prefix=/usr --buildtype=release
      - ninja -C .build -j $(nproc) -k 0 && ninja -C .build install
      - cd ../
      - git clone https://gitlab.com/desktop-frameworks/layouts
      - cd layouts
      - meson .build --prefix=/usr --buildtype=release
      - ninja -C .build -j $(nproc) -k 0 && ninja -C .build install
      - cd ../
      - git clone https://gitlab.com/desktop-frameworks/ipc
      - cd ipc
      - meson .build --prefix=/usr --buildtype=release
      - ninja -C .build -j $(nproc) -k 0 && ninja -C .build install
      - cd ../
      - git clone https://gitlab.com/desktop-frameworks/applications
      - cd applications
      - meson .build --prefix=/usr --buildtype=release
      - ninja -C .build -j $(nproc) -k 0 && ninja -C .build install
      - cd ../
      - git clone https://gitlab.com/DesQ/libdesq
      - cd libdesq;
      - meson .build --prefix=/usr --buildtype=release
      - ninja -C .build -j 4 -k 0 && ninja -C .build install
      - cd ../
      - git clone https://gitlab.com/DesQ/libdesqui
      - cd libdesqui;
      - meson .build --prefix=/usr --buildtype=release
      - ninja -C .build -j 4 -k 0 && ninja -C .build install
      - cd ../
      - meson .build --prefix=/usr --buildtype=release
      - ninja -C .build -j 4 -k 0 && ninja -C .build install
